%define module 	XML-DT
%define version 0.26
%define release 1mdk

%define req_xml_libxml_version 1.54

Summary:	A perl XML down translate module
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Url:      http://www.di.uminho.pt/~jj/perl/XML/XML-DT.readme.html
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Requires: 	perl
Requires: 	perl-XML-LibXML >= %{req_xml_libxml_version}
Requires:	perl-libwww-perl
BuildRequires:	perl
BuildRequires:	perl-XML-LibXML >= %{req_xml_libxml_version}
BuildRequires:	perl-libwww-perl
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildArch:	noarch


%description
The %{module} is a perl module that do XML down translation.
Based on XML::LibXML, it is designed to do simple and
compact translation/processing of XML documents.

%prep
%setup -q -n %{module}-%{version}

%build
echo | %{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std


%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README MANIFEST Changes examples
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorlib}/XML/*


%changelog
* Thu Oct 16 2003 Abel Cheung <deaddog@deaddog.org> 0.26-1mdk
- 0.26
- XML-LibXML is favored over XML-Parser

* Sun Jul 27 2003 Michael Scherer <scherer.michael@free.fr> 0.19-6mdk
- Fix Buildrequires 

* Thu May 22 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.19-5mdk
- fix buildrequires (Stefan van der Eijk's bot)

* Wed Jan 29 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.19-4mdk
- fix missing url
- enhanced summary & description

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 0.19-3mdk
- rebuild for perl 5.8.0

* Thu Aug 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.19-2mdk
- rebuild

* Mon Feb 19 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 0.19-1mdk
- First Mandrake Release

